<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    include "../mail.php";
    date_default_timezone_set('America/Sao_Paulo');
    $hora = date('Y-m-d H:i:s', time());
    $user = $_SESSION['usuarioLogin'];
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $unidade = isset($_POST["unidade"]) ? $_POST["unidade"]: '';
    $setor = isset($_POST["setor"]) ? $_POST["setor"]: '';
    $tipo = isset($_POST["tipo"]) ? $_POST["tipo"]: '';
    $modelo = isset($_POST["modelo"]) ? $_POST["modelo"]: '';
    $nserie = isset($_POST["nserie"]) ? $_POST["nserie"]: '';
    $daquise = isset($_POST["daquise"]) ? $_POST["daquise"]: '';
    $daquise = date('Y-m-d', strtotime(str_replace('/','-',$daquise)));
    $garantia = isset($_POST["garantia"]) ? $_POST["garantia"]: '';
    $garantia = date('Y-m-d', strtotime(str_replace('/','-',$garantia)));
    $pmae = isset($_POST["pmae"]) ? $_POST["pmae"]: '';
    $proc = isset($_POST["proc"]) ? $_POST["proc"]: '';
    $nproc = isset($_POST["nproc"]) ? $_POST["nproc"]: '';
    $ram = isset($_POST["ram"]) ? $_POST["ram"]: '';
    $ram = preg_replace("/[^0-9]/", "", $ram);
    $ram_clok = isset($_POST["ram_clok"]) ? $_POST["ram_clok"]: '';
    $hd = isset($_POST["hd"]) ? $_POST["hd"]: '';
    $hd = preg_replace("/[^0-9]/", "", $hd);
    $tipo_hd = isset($_POST["tipo_hd"]) ? $_POST["tipo_hd"]: '';
    $desc_hd = isset($_POST['desc_hd']) ? $_POST['desc_hd']: '';
    $loja = isset($_POST["loja"]) ? $_POST["loja"]: '';
    $nnota = isset($_POST["nnota"]) ? $_POST["nnota"]: '';
    $valor = isset($_POST["valor"]) ? $_POST["valor"]: '';
    $valor_ = str_replace(',','.',str_replace('.','',$valor));
    $nptri = isset($_POST["nptri"]) ? $_POST["nptri"]: '';
    $desc_comp = isset($_POST['desc_tex_area']) ? $_POST['desc_tex_area']: '';
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    $envia_email = 0;
    $envia_email_u = 0;
    $emailcormpo = '<html><body>';
    $emailcormpo .= '<h2 style="color:#000000;">Alteração - Computador!</h2>';
    $busca_c = $pdo_sgt->prepare("SELECT * FROM tb_computadores WHERE id=:id");
    $busca_c->bindValue(":id",$id);
    $busca_c->execute();
    $dados_c = $busca_c->fetch(PDO::FETCH_ASSOC);
    $ant_unid_1_c = $dados_c['unidade'];
    if($ant_unid_1_c != $unidade){
        $busca_unid_1 = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:ant_unid_1_c");
        $busca_unid_1->bindValue(":ant_unid_1_c",$ant_unid_1_c);
        $busca_unid_1->execute();
        $dados_unid_1 = $busca_unid_1->fetch(PDO::FETCH_ASSOC);
        $ant_unid_1_c = $dados_unid_1['unidade'];
        $ant_email_1_email = $dados_unid_1['email_pt1'];
        $ant_email_1_nome = $dados_unid_1['nome_pt1'];
        $ant_email_2_email = $dados_unid_1['email_pt2'];
        $ant_email_2_nome = $dados_unid_1['nome_pt2'];
        $busca_unid_2 = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:unidade");
        $busca_unid_2->bindValue(":unidade",$unidade);
        $busca_unid_2->execute();
        $dados_unid_2 = $busca_unid_2->fetch(PDO::FETCH_ASSOC);
        $nov_unid_2_c = $dados_unid_2['unidade'];
        $email_1_email = $dados_unid_2['email_pt1'];
        $email_1_nome = $dados_unid_2['nome_pt1'];
        $email_2_email = $dados_unid_2['email_pt2'];
        $email_2_nome = $dados_unid_2['nome_pt2'];
        $des_oc = "Foi alterado de unidade de ".$ant_unid_1_c." para ".$nov_unid_2_c.".";
        $query_oc = "INSERT INTO tb_oc_comp (dt,user_nome,cod_c,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
        $oc_comp_set = $pdo_sgt->prepare($query_oc);
        $oc_comp_set->bindValue(":hora",$hora);
        $oc_comp_set->bindValue(":user",$user);
        $oc_comp_set->bindValue(":id",$id);
        $oc_comp_set->bindValue(":tipo",'3');
        $oc_comp_set->bindValue(":des_oc",$des_oc);
        $oc_comp_set->execute();
        $envia_email = 1;
        $envia_email_u = 1;
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">O computador '.$dados_c['cod_c'].' foi alterado de unidade.</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:14px;">Unidade anterior: '.$ant_unid_1_c.'</p>';
        $emailcormpo .= '<p style="color:#000000;font-size:14px;">Unidade atual: '.$nov_unid_2_c.'</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
    }
    $ant_setor_1_c = $dados_c['setor'];
    if($ant_setor_1_c != $setor){
        $busca_setor_1 = $pdo_sgt->prepare("SELECT * FROM tb_setores WHERE id=:ant_setor_1_c");
        $busca_setor_1->bindValue(":ant_setor_1_c",$ant_setor_1_c);
        $busca_setor_1->execute();
        $dados_setor_1 = $busca_setor_1->fetch(PDO::FETCH_ASSOC);
        $ant_setor_1_c = $dados_setor_1['setor'];
        $busca_setor_2 = $pdo_sgt->prepare("SELECT * FROM tb_setores WHERE id=:setor");
        $busca_setor_2->bindValue(":setor",$setor);
        $busca_setor_2->execute();
        $dados_setor_2 = $busca_setor_2->fetch(PDO::FETCH_ASSOC);
        $nov_setor_2_c = $dados_setor_2['setor'];
        $des_oc = "Foi alterado o setor de ".$ant_setor_1_c." para ".$nov_setor_2_c.".";
        $query_oc = "INSERT INTO tb_oc_comp (dt,user_nome,cod_c,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
        $oc_comp_set = $pdo_sgt->prepare($query_oc);
        $oc_comp_set->bindValue(":hora",$hora);
        $oc_comp_set->bindValue(":user",$user);
        $oc_comp_set->bindValue(":id",$id);
        $oc_comp_set->bindValue(":tipo",'3');
        $oc_comp_set->bindValue(":des_oc",$des_oc);
        $oc_comp_set->execute();
        $envia_email = 1;
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">O computador '.$dados_c['cod_c'].' foi alterado de setor.</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:14px;">Setor anterior: '.$ant_setor_1_c.'</p>';
        $emailcormpo .= '<p style="color:#000000;font-size:14px;">Setor atual: '.$nov_setor_2_c.'</p><p></p>';
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
    }
    $ant_ram_1_c = $dados_c['ram'];
    if($ant_ram_1_c != $ram){
        $des_oc = "Foi alteração RAM ".$ant_ram_1_c." GB para ".$ram." GB.";
        $query_oc = "INSERT INTO tb_oc_comp (dt,user_nome,cod_c,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
        $oc_comp_set = $pdo_sgt->prepare($query_oc);
        $oc_comp_set->bindValue(":hora",$hora);
        $oc_comp_set->bindValue(":user",$user);
        $oc_comp_set->bindValue(":id",$id);
        $oc_comp_set->bindValue(":tipo",'3');
        $oc_comp_set->bindValue(":des_oc",$des_oc);
        $oc_comp_set->execute();
    }
    $ant_ram_clok_1_c = $dados_c['ram_clok'];
    if($ant_ram_clok_1_c != $ram_clok){
        $des_oc = "Foi alteração Clok da RAM ".$ant_ram_clok_1_c." MHz para ".$ram_clok." MHz.";
        $query_oc = "INSERT INTO tb_oc_comp (dt,user_nome,cod_c,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
        $oc_comp_set = $pdo_sgt->prepare($query_oc);
        $oc_comp_set->bindValue(":hora",$hora);
        $oc_comp_set->bindValue(":user",$user);
        $oc_comp_set->bindValue(":id",$id);
        $oc_comp_set->bindValue(":tipo",'3');
        $oc_comp_set->bindValue(":des_oc",$des_oc);
        $oc_comp_set->execute();
    }
    $query_ = "UPDATE tb_computadores
            SET unidade=:unidade,setor=:setor,tipo=:tipo,modelo=:modelo,nserie=:nserie,daquise=:daquise,garantia=:garantia,pmae=:pmae,proc=:proc,nproc=:nproc,ram=:ram,ram_clok=:ram_clok,hd=:hd,tipo_hd=:tipo_hd,desc_hd=:desc_hd,loja=:loja,nnota=:nnota,valor=:valor,nptri=:nptri,desc_comp=:desc_comp,ativo=:ativo
            WHERE id=:id";
    $atualizar=$pdo_sgt->prepare("$query_");
    $atualizar->bindValue(":unidade",$unidade);
    $atualizar->bindValue(":setor",$setor);
    $atualizar->bindValue(":tipo",$tipo);
    $atualizar->bindValue(":modelo",$modelo);
    $atualizar->bindValue(":nserie",$nserie);
    $atualizar->bindValue(":daquise",$daquise);
    $atualizar->bindValue(":garantia",$garantia);
    $atualizar->bindValue(":pmae",$pmae);
    $atualizar->bindValue(":proc",$proc);
    $atualizar->bindValue(":nproc",$nproc);
    $atualizar->bindValue(":ram",$ram);
    $atualizar->bindValue(":ram_clok",$ram_clok);
    $atualizar->bindValue(":hd",$hd);
    $atualizar->bindValue(":tipo_hd",$tipo_hd);
    $atualizar->bindValue(":desc_hd",$desc_hd);
    $atualizar->bindValue(":loja",$loja);
    $atualizar->bindValue(":nnota",$nnota);
    $atualizar->bindValue(":valor",$valor_);
    $atualizar->bindValue(":nptri",$nptri);
    $atualizar->bindValue(":desc_comp",$desc_comp);
    $atualizar->bindValue(":ativo",$ativo);
    $atualizar->bindValue(":id",$id);
    $atualizar->execute();
    $mensagem = "Dados alterados na tabela: tb_computadores - "
        . "Para os campos: unidade, setor, tipo, modelo, nserie, daquise, garantia, pmae, proc , nproc, ram, ram_clok, hd, tipo_hd, desc_hd, loja, nnota, valor, nptri, desc_com, ativo - "
        . "Com os seguintes valores: $unidade, $setor, $tipo, $modelo, $nserie, $daquise, $garantia, $pmae, $proc, $nproc, $ram, $ram_clok, $hd, $tipo_hd, $desc_hd, $loja, $nnota, $valor_, $nptri, $desc_comp, $ativo.";
    salvaLog($mensagem);
    if($envia_email != 0){
        # Define os destinatário(s)
        if($envia_email_u != 0){
            $mail->AddAddress("$email_1_email", "$email_1_nome");
            if ($email_2_email  != "" && $email_2_nome != "" ){
                $mail->AddCC("$email_2_email", "$email_2_nome"); # Copia
            }
            $mail->AddCC("$ant_email_1_email", "$ant_email_1_nome");
            if ($ant_email_2_email  != "" && $ant_email_2_nome != "" ){
                $mail->AddCC("$ant_email_2_email", "$ant_email_2_nome"); # Copia
            }
        } else {
            $busca_unid_email = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:unidade");
            $busca_unid_email->bindValue(":unidade",$unidade);
            $busca_unid_email->execute();
            $dados_unid_email = $busca_unid_email->fetch(PDO::FETCH_ASSOC);
            $email_1_email = $dados_unid_email['email_pt1'];
            $email_1_nome = $dados_unid_email['nome_pt1'];
            $email_2_email = $dados_unid_email['email_pt2'];
            $email_2_nome = $dados_unid_email['nome_pt2'];
            $mail->AddAddress("$email_1_email", "$email_1_nome");
            if ($email_2_email  != "" && $email_2_nome != "" ){
                $mail->AddCC("$email_2_email", "$email_2_nome"); # Copia
            }
        }
        #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
        #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
        #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
        # Define os dados técnicos da Mensagem
        $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
        #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
        # Define a mensagem (Texto e Assunto)
        // Compo E-mail
        $emailcormpo .= '<p style="color:#000000;font-size:12px;">Confira as informações <a href="'.$sgturl.'/qr/qrc.php?cod_c='.$dados_c['cod_c'].'">'.$dados_c['cod_c'].'</a>.</p>';
        $emailcormpo .= '</body></html>';
        $mail->Subject = utf8_decode("Mudança Patrimonio - SGT"); # Assunto da mensagem
        $mail->Body = utf8_decode("$emailcormpo");
        $mail->AltBody = utf8_decode("$emailcormpo");
        # Define os anexos (opcional)
        #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
        # Envia o e-mail
        $enviado = $mail->Send();
        # Limpa os destinatários e os anexos
        $mail->ClearAllRecipients();
        $mail->ClearAttachments();
    }
    echo"<script language='javascript' type='text/javascript'>
        window.location.href='list_comp.php';
    </script>";
?>